#include "stdafx.h"
#include "abiextfn.h"

void SrcUpdate(){}  

int  TestKey(WORD wKey){

    MSG msg;
    if(PeekMessage(&msg, NULL, WM_KEYFIRST, WM_KEYLAST,
        PM_NOREMOVE|PM_NOYIELD)) {
        PeekMessage(&msg, NULL, WM_KEYFIRST, WM_KEYLAST,
            PM_REMOVE|PM_NOYIELD);
        if(msg.message == WM_KEYDOWN && msg.wParam == wKey) 
            return  1;        
    }            
    return  0;
}



BOOL cpuStatus()
{
	U32 uStatus;
	emuGetCpuStatus(&uStatus);
	if(uStatus&0x0180) return TRUE;
	else return FALSE;	
}